Subject: AMBER41-LEap

From: tsuyoshi-katsuragi <[email-masked]>
Date: Mon, 22 Apr 1996 18:16:15 +0900

Dir Netters:

 I'm trying to install LEaP in HP-UX, EWS4800(NEC). But 
I could not install it. and I got the following messages 
in "mkerr" when "make World >& mkerr &" was done .
 Please tell me how to install the LEaP in these machines.

contents of "mkerr"
(HP-UX) ----------------------------------------------------------------------------

    lding LEaP for the X Window System Release 5

Tue Apr 16 15:26:39 JST 1996
        make  Makefile
+ rm -f Makefile.bak
+ mv -f Makefile Makefile.bak
        imake -DUseInstalled -I/usr/local/lib/imake -DDoNormalLib=1 -DDoProfileLib=0 -DDoDebugLib=0 -DDo
SharedLib=0 -DLEAP_CONFIG=0x0000 -DTOPDIR=. -DCURDIR=.
        make  Makefiles
making Makefiles in ./src/Wc...
        mv -f Makefile Makefile.bak
making Makefiles in ./src/Xpm...
        mv -f Makefile Makefile.bak
making Makefiles in ./src/Xaw3dR4...
        mv -f Makefile Makefile.bak

                                      .
                                      .
                                      .
                                      .

        cc -g -DMEMORY_DEBUG=0 -I..    -I/usr/include/X11R5 -I/MIT/X11R5/include -DSYSV -Dhpux    -c xaI
mproperParmTable.c
        cc -g -DMEMORY_DEBUG=0 -I..    -I/usr/include/X11R5 -I/MIT/X11R5/include -DSYSV -Dhpux    -c xaH
BondParmTable.c
        if [ -f xaLeap ]; then rm -f xaLeap~; mv -f xaLeap xaLeap~; fi
        \: ;
        cc -o xaLeap  basics.o sysdepend.o stringExtra.o varArray.o  getline.o pdb_format.o pdb_read.o p
db_sprntf.o pdb_sscanf.o pdb_write.o vector.o zMatrix.o sort.o bag.o hash.o dictionary.o database.o nVec
tor.o ring.o matrix.o fortran.o displayer.o assoc.o atom.o byteArray.o collection.o container.o internal
 .o list.o loop.o molecule.o oDouble.o oInteger.o oString.o objekt.o parmSet.o residue.o unit.o unitio.o
graphUtil.o select.o amber.o build.o elements.o library.o chirality.o minimizer.o model.o parmLib.o pdbF
ile.o tools.o variables.o parser.o help.o helptext.o octree.o commands.o mathop.o block.o restraint.o hy
brid.o xTank.o xAction.o x3d.o xBasics.o xaLeap.o xaUnitEditor.o xaTable.o xaAtomTable.o  Xaw3dRegistr.o
 xaCommand.o xaTools.o rgb2hls.o xaAtomParmTable.o xaBondParmTable.o xaAngleParmTable.o xaParmEditor.o x
aTorsionParmTable.o xaImproperParmTable.o xaHBondParmTable.o -g -DMEMORY_DEBUG=0 -I..    -L../Wc -lWcLea
p  -L../Xpm    -lXpmLeap -L../Xaw3dR4  -lXaw3dLeap -L/MIT/X11R5/lib -lXmu -lXt -lXext -lX11   -lm
/bin/ld: Can't find library for -lXmu
*** Error code 1

Stop.
*** Error code 1

Stop.
*** Error code 1

Stop.

(EWS4800(NEC))----------------------------------------------------------------------

Building LEaP for the X Window System Release 6

Mon Apr 15 10:57:41 JST 1996
        make  Makefile
+ rm -f Makefile.bak 
+ mv Makefile Makefile.bak 
        imake -DUseInstalled -I/usr/lib/X11/config -DDoNormalLib=1 -DDoProfileLi
b=0 -DDoDebugLib=0 -DDoSharedLib=0 -DLEAP_CONFIG=0x0000 -DTOPDIR=. -DCURDIR=.
        make  Makefiles
making Makefiles in src/Wc...
        mv Makefile Makefile.bak

                                      .
                                      .
                                      .
                                      .

        cc -g -DMEMORY_DEBUG=0 -I.. -w -ZXNd=8000 -ZXNp=8000 -KOlimit=1000    -I../.. -I..
/../X11 -I.  -Dnec_ews -Dnec_ews_svr4 -Dnec_ews_svr4_2 -DSVR4 -DSVR4_2 -DX11R5_SGS -DNEC_A
DDON -DANSICPP     -c stringExtra.c
        cc -g -DMEMORY_DEBUG=0 -I.. -w -ZXNd=8000 -ZXNp=8000 -KOlimit=1000    -I../.. -I..
/../X11 -I.  -Dnec_ews -Dnec_ews_svr4 -Dnec_ews_svr4_2 -DSVR4 -DSVR4_2 -DX11R5_SGS -DNEC_A
DDON -DANSICPP     -c varArray.c
        cc -g -DMEMORY_DEBUG=0 -I.. -w -ZXNd=8000 -ZXNp=8000 -KOlimit=1000    -I../.. -I..
/../X11 -I.  -Dnec_ews -Dnec_ews_svr4 -Dnec_ews_svr4_2 -DSVR4 -DSVR4_2 -DX11R5_SGS -DNEC_A
DDON -DANSICPP     -c getline.c
cfe: Error: getline.c, line 184: 'tch' undefined; reoccurrences will not be reported.
     ioctl(0,  ( ('t'<<8) |18) , &tch);
 ---------------------------------^
cfe: Error: getline.c, line 185: 'ltch' undefined; reoccurrences will not be reported.
     ioctl(0,  ( ('t'<<8) |116) , &ltch);
 ----------------------------------^
cfe: Error: getline.c, line 190: 'old_tty' undefined; reoccurrences will not be reported.
     ioctl(0,  ( ('t'<<8) |8) , &old_tty);
 --------------------------------^
cfe: Error: getline.c, line 191: 'new_tty' undefined; reoccurrences will not be reported.
     new_tty = old_tty;
 ----^
cfe: Error: getline.c, line 230: 'old_tty' undefined; reoccurrences will not be reported.
     ioctl(0,  ( ('t'<<8) |10) , &old_tty);
 ---------------------------------^
*** Error code 1 (bu21)
make: fatal error.
*** Error code 1 (bu21)
make: fatal error.
*** Error code 1 (bu21)
make: fatal error.

Tsuyoshi Katsuragi /////////////////////////////// 
------------------
Laboratory of Biological Chemistry,
Department of Biological Science,
Faculty of Agriculture, Yamaguchi University
1677-1, Yoshida, Yamaguchi, 753, Japan 
E-mail: [email-masked]
Tel.  81-0839-33-5855 (Prof ide)  
//////////////////////////////////////////////////